WorldGuard Problem

Dieses Thema im Forum "Technischer Support" wurde erstellt von JdoubleM3010, 13. Februar 2016.

  1. JdoubleM3010
    Offline

    JdoubleM3010

    Registriert seit:
    22. Februar 2015
    Beiträge:
    1
    Moin,

    Ich habe derzeit einen 64 Slot Server der mit Spigot läuft. Ich bin auch mit allem zufrieden aber das Plugin WorldGuard bereitet mir ein paar Probleme.

    Die WorldGuard Version ist 5.9
    Warum diese Version? Weil damit SimpleRegionMarket läuft ^^ Wenn SRM auch mit einer neueren Version läuft sagt es mir bitte :)
    Mein Problem tritt auf wenn: Wenn ein "Bürgermeister" ein Grundstück erstellen möchte soll er /rg claim gs1 eingeben. Damit er halt sofort als Owner in dieser Region eingetragen ist.
    Aber da wo er diese Region erstellen möchte ist ja auch die Stadt Region. Wenn er dann halt /rg claim eingegeben hat kommt im Chat "The Region... Overlaps ...(Ihr wisst ja was ich meine) Also konnten die Region ja nicht erstellt werden.

    Ich habe mich jetzt einige Zeit mit dem Plugin beschäftigt aber ich find die Lösung nicht :/ (sorry bin nicht so der Plugin Spezi ^^)
    Ich kenne den ein oder anderen Server wo ich glaube das die die Neuste Version von WorldGuard benutzen und unteranderm halt auch SRM. Ich habe halt die alte Keller Version von WorldGuard.

    Wie löse ich das Problem das halt der Bürgermeister diesen Befehl erfolgreich benutzen kann? Oder wenn ihr es auch wisst wie ich SRM mit der neusten WG Version zum laufen bekomme?
     
    #1
  2. montbit
    Offline

    montbit

    Registriert seit:
    4. Februar 2013
    Beiträge:
    188
    Minecraft:
    montbit
    SRM wird nicht mehr weitergeführt. Die letzte Änderung am Plugin (auf GitHub) ist mehr als ein Jahr her. Daher hat es keinen grossen Sinn, weiterhin auf SRM zu setzen.

    Als Alternative kann ich Dir AreaShop empfehlen. Das ermöglicht Kauf und Miete eines Grundstückes/Objektes. Ich setze es ebenfalls als Plugin für Kauf/Miete ein.

    Tipp: Mach __global__ Priority -2. Dann die Stadt Priority -1 und bei den Grundstücken dann nichts eingeben. So erhält der Käufer Baurechte, die ansonsten nicht gegeben sind, wenn die Priority Werte nicht kaskadiert sind.

    Bug WG 6.1: Anstatt das Flag "build deny" auf __global__ zu setzen, damit Spieler unprotectete GS nicht bebauen dürfen, verwende besser das Flag "passthrought deny". Build deny hat Bugs, so verschwinden (despawnen) teilweise Setzlinge, bevor ein Baum ohne Knochenmehl wachsen kann.
     
    #2
  3. SilberRegen
    Offline

    SilberRegen

    Registriert seit:
    23. März 2012
    Beiträge:
    579
    Minecraft:
    SilberRegen
    Möchte @montbit beipflichten: Es hat wenig Sinn auf ein Plugin zu setzen, dass dank fehlender Update mit der aktuellen WG-Version nicht mehr funktioniert. WorldGuard ist definitiv das wichtigere der beiden und es ist besser sich daran zu orientieren bei der Pluginwahl.

    Alternativen zu SRM gibt es mehrere, von daher empfehle ich den Kram zu updaten anstatt an der alten Version rumzudoktern.

    Dein Problem selber ist rein WG-basiert, vielleicht schilderst du in dem Zusammenhang dann auch nochmal genauer, was deine "Bürgermeister" machen sollen können, welche Permissions sie dafür haben, wie deine Regionen organisiert sind (welche liegen alle übereinander, wie sind sie geflaggt/priorisiert) und wie genau das Endergebnis aussehen soll (wer hat wo Berechtigungen für was).
     
    #3